Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all roles used in a unit.

List all roles used in a unit. Get organizational roles used in this organizational unit. These are roles with a non empty intersection of role users with the users (responsible, deputy, member) of this organizational unit. In addition all explicitly assigned roles of this unit will be returned.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/units/{unitId}/roleids
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

unitIdstringrequired

ID of the organizational unit

Responses
200

List of role ids.

Array of string
string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/units/string/roleids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  "string"
]